package com.rnalice

import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.OnboardingCommands



class CommandAddSelfieActivity : ReactActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")

        val onboardingCommands = OnboardingCommands((this as AppCompatActivity) , userToken!!)

        onboardingCommands.addSelfie {
            val intentResult = Intent()
            intentResult.putExtra("onboardingCommandResult", it)
            setResult(RESULT_OK, intentResult)
            finish()
        }
    }
}